import React from 'react';
import { Intent } from '../common/intent';
import { FlexBoxProps } from '../flexbox/FlexBox';
export declare type BadgeProps = {
    /**
     * Specifies the intent of the Badge
     */
    intent?: Intent;
    /**
     * Text to be shown in the badge (usually just a string)
     */
    children: React.ReactNode;
    /**
     * Class name to be added to the badge
     */
    className?: string;
    /**
     * Props controlling the flexbox
     */
    flexBoxProps?: FlexBoxProps;
    /**
     * HTML tag or custom component being rendered
     */
    as?: React.ElementType;
};
export default function Badge({ as, children, intent, flexBoxProps, ...rest }: BadgeProps): JSX.Element;
