/// <reference types="react" />
export declare type CardPriceTagProps = {
    /**
     * Price for the price tag
     */
    price: number;
    /**
     * Currency symbol to be displayed
     */
    currency?: string;
    /**
     * Text to be displayed over the price
     */
    topText?: string;
    /**
     * Text to be displayed under the price
     */
    bottomText?: string;
    /**
     * className to be assigned to the component
     */
    className?: string;
};
declare const CardPriceTag: ({ price, topText, bottomText, currency, ...rest }: CardPriceTagProps) => JSX.Element;
export default CardPriceTag;
