import React from 'react';
export declare type AccordionSmallHeaderProps = {
    /**
     * Add a heading to the Accordion.
     */
    heading: string;
    /**
     * Add a secondary heading to the Accordion.
     */
    secondaryHeading?: string;
    /**
     * Specify the duration of the transition between open and closed.
     */
    transitionDuration?: string;
    /**
     * If set to `true` the Accordion is open.
     */
    isOpen?: boolean;
    /**
     * Disable the Accordion.
     */
    disabled?: boolean;
    /**
     * Use the Accordion without animation.
     */
    noAnimation?: boolean;
    onToggle?: () => void;
};
export declare const AccordionSmallHeader: React.FunctionComponent<AccordionSmallHeaderProps>;
export declare type AccordionSmallProps = {
    /**
     * Add a heading to the Accordion.
     */
    heading: string;
    /**
     * Specify the duration of the transition between open and closed.
     */
    transitionDuration?: string;
    /**
     * If set to `true` the Accordion is open.
     */
    isOpen?: boolean;
    /**
     * Disable the Accordion.
     */
    disabled?: boolean;
    /**
     * Use the Accordion without animation.
     */
    noAnimation?: boolean;
    onToggle?: () => void;
    collapseProps?: object;
};
export declare const AccordionSmall: React.FunctionComponent<AccordionSmallProps>;
export default AccordionSmall;
