import React, { ReactNode } from 'react';
export declare type BannerActionVariation = 'primary' | 'secondary' | 'primary-thick' | 'secondary-thick';
export interface BannerActionProps {
    variation?: BannerActionVariation;
    onClick?: () => void;
    /**
     * className to be assigned to the button
     */
    className?: string;
    /**
     * HTML tag or custom component being rendered
     */
    as?: React.ElementType;
    /**
     * Updates component with children prop accordingly to the @types update
     */
    children?: ReactNode;
}
export declare const BannerAction: React.FunctionComponent<BannerActionProps>;
