import React, { PropsWithChildren, FunctionComponent } from 'react';
import { ToastProps } from './Toast';
declare type TimeoutType = {
    timeout?: number;
};
declare type ToasterState = {
    open: boolean;
    hasActive: boolean;
    toastProps: ToastProps | null;
} & TimeoutType;
export declare const useToaster: () => {
    addToast: (props: PropsWithChildren<ToastProps & TimeoutType>) => Promise<void>;
    state: ToasterState;
};
declare const Toaster: FunctionComponent<{
    children: React.ReactNode | React.ReactNode[];
    globalTimeout?: number;
}>;
export default Toaster;
