import * as React from 'react';
export declare const variations: readonly ["primary", "secondary", "outlined", "text", "danger", "link"];
export declare type BaseButtonProps = React.PropsWithoutRef<JSX.IntrinsicElements['button']>;
export declare type ButtonVariation = typeof variations[number];
export declare type ButtonVariationProps = {
    variation?: ButtonVariation;
};
export declare const BaseButton: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: React.ElementType<any> | undefined;
} & {
    selected?: boolean | undefined;
}, React.DetailedHTMLProps<React.ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, {}>;
export declare function getButtonVariationStyle(variation?: ButtonVariation): import("@emotion/utils").SerializedStyles;
