import React, { FunctionComponent, ReactNode } from 'react';
import { SurfaceType } from '../surface';
export declare const CardContext: React.Context<{}>;
export declare type CardContextType = {
    cardSize: 's' | 'm' | 'l' | 'xl';
    cardVariant: 'outline' | 'fill' | 'surface';
};
export declare type CardProps = {
    size: 's' | 'm' | 'l' | 'xl';
    variant: 'outline' | 'fill' | 'surface';
    surface?: SurfaceType;
    reverse?: boolean;
    media?: ReactNode;
    ratio?: number[];
    className?: string;
};
declare const Card: FunctionComponent<CardProps>;
export default Card;
