"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getIntentColor = getIntentColor;
exports.getIntentTextColor = getIntentTextColor;
var _theme = require("@dfds-ui/theme");
function getIntentColor(intent = 'info', muted = false) {
  switch (intent) {
    case 'none':
      return _theme.theme.colors.surface.secondary;
    case 'info':
      return muted ? _theme.theme.colors.status.infomuted : _theme.theme.colors.status.info;
    case 'critical':
      return muted ? _theme.theme.colors.status.alertmuted : _theme.theme.colors.status.alert;
    case 'success':
      return muted ? _theme.theme.colors.status.successmuted : _theme.theme.colors.status.success;
    case 'warning':
      return muted ? _theme.theme.colors.status.warningmuted : _theme.theme.colors.status.warning;
  }
}
function getIntentTextColor(intent) {
  switch (intent) {
    case 'none':
      return _theme.theme.colors.text.dark.primary;
    case 'info':
    case 'critical':
    case 'success':
    case 'warning':
      return _theme.theme.colors.text.light.primary;
  }
}