"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.miniMoize = miniMoize;
// memoization function inspired by moize. Can only remember last value
function miniMoize(fn) {
  let cache = null;
  let cacheArgs = null;
  function wrapper() {
    if (cacheArgs && eq(arguments)) {
      return cache;
    }
    cache = fn(...arguments);
    cacheArgs = arguments;
    return cache;
  }
  function eq(arg) {
    if (arg.length !== cacheArgs.length) {
      return false;
    }
    for (let i = 0; i < arg.length; i++) {
      if (arg[i] !== cacheArgs[i]) {
        return false;
      }
    }
    return true;
  }
  return wrapper;
}