"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withRenderAs = withRenderAs;
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@emotion/react");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _objectDestructuringEmpty(obj) { if (obj == null) throw new TypeError("Cannot destructure " + obj); }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); } // TODO: Move this to future core package
// TODO: Consider changing to this pattern:
// https://blog.andrewbran.ch/polymorphic-react-components/
// https://github.com/kripod/react-polymorphic-box
/**
 * Given a PolymorphicComponent and a desired RenderComponent this function will returns are new component where the
 * polymorphic prop will point to the provided `RenderComponent`.
 *
 * @example
 * import { Link } from `gatsby`;
 * import { AppBarItem, withRenderAs } from `@dfds-ui/react-components`;
 *
 * const AppBarLink = withRenderAs(AppBarItem, Link);
 *
 * const Example = () => {
 *   return <AppBarLink id="1" title="example" to="/example">Example</AppBarLink>;
 * }
 */
function withRenderAs(PolymorphicComponent, RenderComponent) {
  const Component = _ref => {
    let props = _extends({}, (_objectDestructuringEmpty(_ref), _ref));
    return (0, _react2.jsx)(PolymorphicComponent, _extends({
      as: RenderComponent
    }, props));
  };
  return Component;
}