import React from 'react';
export interface MenuCheckboxProps {
    /**
     * HTML tag or custom component being rendered.
     */
    as?: React.ElementType;
    /**
     * Override the default color for the text.
     */
    color?: string;
    /**
     * Indicates that the `MenuCheckbox` is disabled.
     */
    disabled?: boolean;
    /**
     * Invoke the provided callback when the `MenuCheckbox` is clicked.
     */
    onClick?: () => void;
    /**
     * Indicates that the `MenuCheckbox` is selected.
     */
    selected?: boolean;
    /**
     * Add interactive styles to the `MenuCheckbox`.
     */
    clickable?: boolean;
    /**
     * className to be assigned to component.
     */
    className?: string;
    children?: React.ReactNode;
}
declare const MenuCheckbox: ({ color, children, disabled, as, onClick, selected, clickable, className, }: MenuCheckboxProps) => JSX.Element;
export default MenuCheckbox;
