import React from 'react';
import { DropdownSize } from './Dropdown';
export interface MenuItemProps {
    /**
     * HTML tag or custom component being rendered.
     */
    as?: React.ElementType;
    /**
     * Invoke the provided callback when the `MenuItem` is clicked.
     */
    onClick?: (event?: any) => void;
    /**
     * Indicates that the `MenuItem` is selected.
     */
    selected?: boolean;
    /**
     * Indicates that the `MenuItem` is disabled.
     */
    disabled?: boolean;
    /**
     * Add interactive styles to the `MenuItem`.
     */
    clickable?: boolean;
    /**
     * Override the default color for the text.
     */
    color?: string;
    /**
     * Choose an icon that will be left aligned.
     */
    iconLeft?: React.ElementType;
    /**
     * Choose an icon that will be right aligned.
     */
    iconRight?: React.ElementType;
    /**
     * className to be assigned to component.
     */
    className?: string;
    children?: React.ReactNode;
}
export declare const getListItemStyle: (size?: DropdownSize, disabled?: boolean) => import("@emotion/utils").SerializedStyles;
export declare const getListTextStyle: (size?: DropdownSize) => import("@emotion/utils").SerializedStyles;
declare const MenuItem: ({ as, clickable, className, onClick, selected, disabled, children, color, iconLeft, iconRight, ...rest }: MenuItemProps) => JSX.Element;
export default MenuItem;
