/// <reference types="react" />
declare type RenderAs = {
    /**
     * HTML tag or custom component being rendered
     */
    as?: React.ElementType;
};
export declare type FlexBoxProps = {
    /**
     * Set this prop to `true` to set `display` to `inline-flex` instead of `flex`
     */
    inline?: boolean;
    /**
     * Set this prop to `true` to set `flex-direction` to `row-reverse`
     */
    directionRowReverse?: boolean;
    /**
     * Set this prop to `true` to set `flex-direction` to `row`
     */
    directionRow?: boolean;
    /**
     * Set this prop to `true` to set `flex-direction` to `column`
     */
    directionColumn?: boolean;
    /**
     * Set this prop to `true` to set `flex-direction` to `column-reverse`
     */
    directionColumnReverse?: boolean;
    /**
     * Set this prop to `true` to set `flex-wrap` to `wrap`
     */
    wrapWrap?: boolean;
    /**
     * Set this prop to `true` to set `flex-wrap` to `wrap-reverse`
     */
    wrapWrapReverse?: boolean;
    /**
     * Set this prop to `true` to set `align-items` to `flex-start`
     */
    itemsFlexStart?: boolean;
    /**
     * Set this prop to `true` to set `align-items` to `flex-end`
     */
    itemsFlexEnd?: boolean;
    /**
     * Set this prop to `true` to set `align-items` to `flex-center`
     */
    itemsCenter?: boolean;
    /**
     * Set this prop to `true` to set `align-items` to `flex-baseline`
     */
    itemsBaseline?: boolean;
    /**
     * Set this prop to `true` to set `align-content` to `flex-start`
     */
    contentFlexStart?: boolean;
    /**
     * Set this prop to `true` to set `align-content` to `flex-end`
     */
    contentFlexEnd?: boolean;
    /**
     * Set this prop to `true` to set `align-content` to `center`
     */
    contentCenter?: boolean;
    /**
     * Set this prop to `true` to set `align-content` to `space-between`
     */
    contentSpaceBetween?: boolean;
    /**
     * Set this prop to `true` to set `align-content` to `space-around`
     */
    contentSpaceAround?: boolean;
    /**
     * Set this prop to `true` to set `justify-content` to `space-between`
     */
    justifySpaceBetween?: boolean;
    /**
     * Set this prop to `true` to set `justify-content` to `space-around`
     */
    justifySpaceAround?: boolean;
    /**
     * Set this prop to `true` to set `justify-content` to `flex-end`
     */
    justifyFlexEnd?: boolean;
    /**
     * Set this prop to `true` to set `justify-content` to `center`
     */
    justifyCenter?: boolean;
    /**
     * Set the `flex` shorthand property
     */
    flex?: number;
    gap?: string;
};
export declare const FlexBox: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any> | undefined;
} & FlexBoxProps & RenderAs, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare function flexBoxStyles(props?: FlexBoxProps): import("@emotion/utils").SerializedStyles;
export default FlexBox;
