import React, { ReactNode } from 'react';
export declare type Alignment = 'left' | 'right';
export declare type Size = 'small' | 'medium' | 'large';
declare type ReactInputProps = React.DetailedHTMLProps<React.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>;
export declare type InputCompositionProps = {
    visualSize?: Size;
    className?: string;
    children?: ReactNode;
} & React.PropsWithoutRef<JSX.IntrinsicElements['div']>;
export declare type InputIconProps = {
    icon: React.ElementType;
    color?: string;
    className?: string;
    size?: Size;
};
export declare type InputProps = {
    /**
     * Name of the input element
     */
    name: string;
    /**
     * Indicates that the input element has an error
     */
    error?: boolean;
    className?: string;
    placeholder?: string;
    placeholderAlignment?: Alignment;
    disabled?: boolean;
    children?: React.ReactNode;
} & Omit<ReactInputProps, 'css'>;
export declare function inputTypography(size: Size): import("@emotion/utils").SerializedStyles;
export declare const InputComposition: ({ visualSize, children, ...rest }: InputCompositionProps) => JSX.Element;
export declare const InputIcon: import("@emotion/styled").StyledComponent<InputIconProps & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const InputAddon: import("@emotion/styled").StyledComponent<{
    className?: string | undefined;
    children?: ReactNode;
} & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const InputControl: React.ForwardRefExoticComponent<Pick<InputProps, "error" | "key" | keyof React.InputHTMLAttributes<HTMLInputElement> | "placeholderAlignment"> & React.RefAttributes<HTMLInputElement>>;
export {};
