"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _ReactSelect = require("../reactselect/ReactSelect");
var _icons = require("@dfds-ui/icons");
var _async = _interopRequireDefault(require("react-select/async"));
var _ErrorText = _interopRequireDefault(require("../error-text/ErrorText"));
var _AssistiveText = _interopRequireDefault(require("../assistive-text/AssistiveText"));
var _theme = require("@dfds-ui/theme");
var _react2 = require("@emotion/react");
const _excluded = ["name", "error", "selectClassName", "className", "icon", "disabled", "size", "arrow", "htmlSize", "handleInputChange", "loadOptions", "onBlur", "onFocus", "onChange", "assistiveText", "autoFocus"],
  _excluded2 = ["ref"];
/* eslint-disable deprecation/deprecation */
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
const AsyncSearchableSelect = _ref => {
  let name = _ref.name,
    error = _ref.error,
    selectClassName = _ref.selectClassName,
    className = _ref.className,
    icon = _ref.icon,
    disabled = _ref.disabled,
    _ref$size = _ref.size,
    size = _ref$size === void 0 ? 'medium' : _ref$size,
    _ref$arrow = _ref.arrow,
    arrow = _ref$arrow === void 0 ? true : _ref$arrow,
    htmlSize = _ref.htmlSize,
    handleInputChange = _ref.handleInputChange,
    loadOptions = _ref.loadOptions,
    onBlur = _ref.onBlur,
    onFocus = _ref.onFocus,
    onChange = _ref.onChange,
    assistiveText = _ref.assistiveText,
    autoFocus = _ref.autoFocus,
    rest = _objectWithoutProperties(_ref, _excluded);
  const DropdownIndicator = props => {
    const _props$children = props.children,
      children = _props$children === void 0 ? (0, _react2.jsx)(_ReactSelect.Icon, {
        size: size,
        disabled: disabled
      }, icon || (0, _react2.jsx)(_icons.Down, null)) : _props$children,
      getStyles = props.getStyles,
      _props$innerProps = props.innerProps,
      ref = _props$innerProps.ref,
      restInnerProps = _objectWithoutProperties(_props$innerProps, _excluded2);
    return (0, _react2.jsx)("div", _extends({}, restInnerProps, {
      ref: ref,
      style: getStyles('dropdownIndicator', props)
    }), (0, _react2.jsx)("div", {
      style: {
        padding: `0 ${_theme.theme.spacing.xxs}`
      }
    }, children));
  };
  return (0, _react2.jsx)(_ReactSelect.ReactSelectWrapper, {
    error: error,
    size: size,
    className: className,
    arrow: arrow
  }, (0, _react2.jsx)(_async.default, _extends({
    as: "Select",
    name: name,
    "aria-invalid": error,
    visualSize: size,
    size: htmlSize,
    isDisabled: disabled,
    classNamePrefix: "react-select",
    className: selectClassName,
    loadOptions: loadOptions,
    onInputChange: handleInputChange,
    onChange: onChange,
    onBlur: onBlur,
    onFocus: onFocus,
    autoFocus: autoFocus,
    components: {
      DropdownIndicator,
      ClearIndicator: _ReactSelect.ClearIndicator
    }
  }, rest)), error ? (0, _react2.jsx)(_ErrorText.default, {
    small: true
  }, error) : assistiveText && (0, _react2.jsx)(_AssistiveText.default, null, assistiveText));
};
var _default = AsyncSearchableSelect;
exports.default = _default;