import { ComponentPropsWithoutRef } from 'react';
import { Locale } from './locales';
export declare type LocaleFlagProps = {
    /**
     * The locale specifying which flag will be rendered.
     */
    locale: Locale;
    /**
     * The size of the flag icon.
     */
    size?: 's' | 'm' | 'l' | 'xl';
} & ComponentPropsWithoutRef<'svg'>;
export declare const LocaleFlag: ({ locale, size, ...rest }: LocaleFlagProps) => JSX.Element;
