import * as flags from '@dfds-ui/icons/flags';
export declare const locales: readonly ["en", "nl-BE", "bg-BG", "pt-BR", "en-CA", "zh-CN", "cs-CZ", "da-DK", "et-EE", "fi-FI", "fr-BE", "fr-FR", "fr-MA", "de-DE", "hu-HU", "it-IT", "ja-JP", "lv-LV", "lt-LT", "nl-NL", "nb-NO", "pl-PL", "ro-RO", "ru-RU", "sk-SK", "ko-KR", "es-ES", "sv-SE", "tr-TR", "en-GB", "en-US"];
export declare type Locale = typeof locales[number];
export declare const fallbackLocale = "en";
export declare type LocaleInfo = {
    /**
     * Name of the country
     */
    name: string;
    /**
     * Country (and occasionally the language) expressed in native language.
     */
    nativeName: string;
    /**
     * Country calling code
     */
    callingCode: string;
    /**
     * Dialing trunk prefix
     */
    callingTrunkPrefix?: string;
    /**
     * Key of flag icon component
     */
    flagIcon: keyof typeof flags;
};
export declare const localeData: {
    [k in Locale]: LocaleInfo;
};
/**
 * Returns an array of locales where each country only appears once.
 *
 * @return {Locale[]}
 */
export declare function uniqueCountryLocales(): Locale[];
