import React from 'react';
declare type Option = {
    disabled?: boolean;
    label: string;
    value: number;
};
export declare type PaginationProps = {
    /**
     * The current page.
     */
    currentPage?: number;
    /**
     * The current offset
     */
    offset?: number;
    /**
     * Callback when the page is changed.
     */
    onChangePageLimit?: (e: any) => void;
    /**
     * Callback when the page is changed.
     */
    onPageChange?: (event: React.ChangeEvent<unknown>, page: number) => void;
    /**
     * Options passed to the PageLimitSelector
     */
    options?: Option[] | null;
    /**
     * Number of records per page.
     */
    pageLimit: number;
    /**
     * Total number of records.
     */
    totalRecords: number;
    /**
     * Returns the content of the overview.
     *
     * Use this if you need to localize the overview being rendered.
     */
    renderOverview?: (rangeShown: string, totalRecords: number) => React.ReactNode;
};
export declare const Pagination: ({ currentPage, offset, onChangePageLimit, onPageChange, options, pageLimit, totalRecords, renderOverview, }: PaginationProps) => JSX.Element;
export default Pagination;
