import React from 'react';
declare type Variant = 'nested' | 'elevated';
declare type BackdropEmphasis = 'low' | 'high';
declare type Align = 'left' | 'right';
export declare type SideSheetProps = {
    children?: React.ReactNode;
    /**
     * Choose the `width` of the `SideSheet`.
     */
    header?: string;
    /**
     * Choose the `width` of the `SideSheet`.
     */
    width?: string;
    /**
     * When you trigger a close.
     */
    onRequestClose?: () => void;
    /**
     * If set to true, the `SideSheet` is shown.
     */
    isOpen: boolean;
    /**
     * Choose if the SideSheet should be nested or elevated.
     */
    variant?: Variant;
    /**
     * Align the elevated SideSheet to left or right.
     */
    alignSideSheet?: Align;
    /**
     * Style the SideSheet by adding a className to it.
     */
    className?: string;
    /**
     * Add or remove the backdrop for the elevated side sheet.
     */
    backdrop?: boolean;
    /**
     * Specify the emphasis of the backdrop.
     */
    backdropEmphasis?: BackdropEmphasis;
    /**
     * Specify the custom zIndex.
     */
    zIndex?: number;
    /**
     * Fullscreen on large mobile (breakpoint at 500px).
     */
    largeMobileFullScreen?: boolean;
    /**
     * Fullscreen on small mobile (breakpoint at 375px).
     */
    smallMobileFullScreen?: boolean;
};
declare const SideSheet: ({ variant, className, isOpen, backdrop, width, header, zIndex, largeMobileFullScreen, smallMobileFullScreen, onRequestClose, backdropEmphasis, alignSideSheet, children, ...rest }: SideSheetProps) => JSX.Element;
export default SideSheet;
