"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _StepLabel = _interopRequireDefault(require("./StepLabel"));
var _StepButton = _interopRequireDefault(require("./StepButton"));
var _StepContent = _interopRequireDefault(require("./StepContent"));
var _StepContext = _interopRequireDefault(require("./StepContext"));
var _StepperContext = _interopRequireDefault(require("../stepper/StepperContext"));
var _Step = require("./Step.styles");
var _stepperFeedbackMessage = require("../stepper-feedback-message");
var _react2 = require("@emotion/react");
const _excluded = ["index", "label", "active", "completed", "disabled", "children", "hasError", "optionalStepText", "isEditing", "handleStepClick"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
const Step = _ref => {
  let index = _ref.index,
    _ref$label = _ref.label,
    label = _ref$label === void 0 ? '' : _ref$label,
    activeProp = _ref.active,
    completedProp = _ref.completed,
    _ref$disabled = _ref.disabled,
    disabled = _ref$disabled === void 0 ? false : _ref$disabled,
    children = _ref.children,
    _ref$hasError = _ref.hasError,
    hasError = _ref$hasError === void 0 ? false : _ref$hasError,
    optionalStepText = _ref.optionalStepText,
    _ref$isEditing = _ref.isEditing,
    isEditing = _ref$isEditing === void 0 ? false : _ref$isEditing,
    handleStepClick = _ref.handleStepClick,
    props = _objectWithoutProperties(_ref, _excluded);
  const _useContext = (0, _react.useContext)(_StepperContext.default),
    activeStep = _useContext.activeStep,
    orientation = _useContext.orientation,
    sequential = _useContext.sequential,
    stepFeedbackMessage = _useContext.stepFeedbackMessage;
  let _activeProp = activeProp,
    active = _activeProp === void 0 ? false : _activeProp,
    _completedProp = completedProp,
    completed = _completedProp === void 0 ? false : _completedProp;
  if (activeStep === index) active = activeProp !== undefined ? activeProp : true;else if (sequential && activeStep > index) completed = completedProp !== undefined ? completedProp : true;
  const contextValue = _react.default.useMemo(() => ({
    index,
    active,
    completed,
    disabled,
    hasError,
    isEditing
  }), [index, active, completed, disabled, hasError, isEditing]);
  const displayFeedbackCondition = orientation === 'vertical' && stepFeedbackMessage && activeStep === index;
  return (0, _react2.jsx)(_StepContext.default.Provider, {
    value: contextValue
  }, (0, _react2.jsx)("div", _extends({
    css: orientation === 'horizontal' ? _Step.stepWrapperHorizontalStyles : _Step.stepWrapperVerticalStyles
  }, props, {
    "data-testid": "step"
  }), (0, _react2.jsx)("div", {
    css: _Step.stepHeaderStyles,
    onClick: handleStepClick
  }, displayFeedbackCondition ? (0, _react2.jsx)(_stepperFeedbackMessage.StepperFeedbackMessage, {
    message: stepFeedbackMessage
  }) : (0, _react2.jsx)(_react.default.Fragment, null, (0, _react2.jsx)(_StepButton.default, props), label ? (0, _react2.jsx)(_StepLabel.default, {
    optionalStepText: optionalStepText
  }, label) : null)), orientation === 'vertical' ? (0, _react2.jsx)("div", {
    css: _Step.stepContentStyles
  }, (0, _react2.jsx)(_StepContent.default, null, children)) : null));
};
var _default = /*#__PURE__*/(0, _react.memo)(Step);
exports.default = _default;