import React, { ReactNode } from 'react';
export declare type StepperProps = {
    /**
     * Stepper layout orientation `'horizontal' | 'vertical'`
     */
    orientation?: 'horizontal' | 'vertical';
    /**
     * Multiple `<Step/>` components
     */
    children: ReactNode;
    /**
     *  The initial step
     */
    activeStep?: number;
    /**
     *  If set the component will not assist in controlling steps for sequential flow
     */
    sequential?: boolean;
    /**
     * A feedback message can be passed to display a transitory feedback message as the step label
     */
    stepFeedbackMessage?: string;
};
declare const _default: React.MemoExoticComponent<({ children, activeStep, sequential, orientation, stepFeedbackMessage, ...other }: StepperProps) => JSX.Element>;
export default _default;
