"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
exports.legacyGenerateMedia = legacyGenerateMedia;
exports.legacyMedia = void 0;
// ***
// DEPRECATED use media from ./media
// ***

// breakpoint used in DFDS-DIRECT
const defaultBreakPoints = {
  xl: 1260,
  lg: 992,
  md: 768,
  sm: 576,
  xs: 575
};
function legacyGenerateMedia(breakPoints) {
  const toInt = breakPoint => {
    return typeof breakPoint === 'number' ? breakPoint : breakPoints[breakPoint];
  };
  const lessThan = breakPoint => `
    @media (max-width: ${toInt(breakPoint) - 1}px)`;
  const greaterThan = breakPoint => `
    @media (min-width: ${toInt(breakPoint) + 1}px)`;
  const between = (firstBreakpoint, secondBreakpoint) => `
    @media (min-width: ${toInt(firstBreakpoint)}px) and (max-width: ${toInt(secondBreakpoint)}px)`;
  const tablet = () => `
   @media (min-width: ${breakPoints.sm + 1}px) and (max-width: ${breakPoints.md}px)`;
  return {
    lt: lessThan,
    gt: greaterThan,
    bt: between,
    tablet
  };
}
const legacyMedia = legacyGenerateMedia(defaultBreakPoints);
exports.legacyMedia = legacyMedia;
var _default = legacyMedia;
exports.default = _default;