import React, { ComponentPropsWithRef, ReactNode } from 'react';
export declare type TableProps = {
    /**
     * Table content
     */
    children?: ReactNode;
    /**
     * Enables interaction effect on table rows
     */
    isInteractive?: boolean;
    /**
     * Makes table header sticky when scrolling (no IE 11 support)
     */
    isHeaderSticky?: boolean;
} & ComponentPropsWithRef<'table'>;
export declare type TableContextProps = {
    isInteractive: boolean;
    isHeaderSticky: boolean;
};
export declare const useTable: () => TableContextProps;
export declare const Table: React.ForwardRefExoticComponent<Pick<TableProps, "key" | "css" | keyof React.TableHTMLAttributes<HTMLTableElement> | "isHeaderSticky" | "isInteractive"> & React.RefAttributes<HTMLTableElement>>;
export default Table;
