import React, { ComponentPropsWithRef, ReactNode } from 'react';
import { Alignment } from './TableHeaderCell';
export declare type TableDataCellProps = {
    /**
     * Sets alignment for the content in the tag
     */
    align?: Alignment;
    /**
     * Table cell content
     */
    children: ReactNode;
} & ComponentPropsWithRef<'td'>;
export declare const TableDataCell: React.ForwardRefExoticComponent<Pick<TableDataCellProps, "key" | "css" | keyof React.TdHTMLAttributes<HTMLTableDataCellElement>> & React.RefAttributes<HTMLTableCellElement>>;
export default TableDataCell;
