import React, { ComponentPropsWithRef, ReactNode } from 'react';
export declare type Alignment = 'left' | 'center' | 'right' | 'justify' | 'char';
export declare type TableHeaderCellProps = {
    /**
     * Sets alignment for the content in the tag
     */
    align?: Alignment;
    /**
     * Table cell content
     */
    children: ReactNode;
} & ComponentPropsWithRef<'th'>;
export declare const getTableCellStyle: (align?: Alignment) => import("@emotion/utils").SerializedStyles;
export declare const TableHeaderCell: React.ForwardRefExoticComponent<Pick<TableHeaderCellProps, "key" | "css" | keyof React.ThHTMLAttributes<HTMLTableHeaderCellElement>> & React.RefAttributes<HTMLTableCellElement>>;
export default TableHeaderCell;
