import React from 'react';
import { TippyProps } from '@tippyjs/react';
declare type Placement = 'top' | 'right' | 'bottom' | 'left';
declare type TooltipProps = {
    content: string | React.ReactNode;
    name?: string;
    placement?: Placement;
    offset?: number;
    delay?: [number, number] | false;
    containerProps?: any;
    tabIndex?: number;
    visible?: boolean;
    onClickOutside?: () => void;
    children?: React.ReactNode;
};
declare const Tooltip: React.FC<TooltipProps>;
/**
 * The `UnstableWithTooltip` component can be used to wrap an element with a tooltip but unlike the `Tooltip` component
 * no extra html markup will wrapped around the targeted element.
 *
 * NOTE: It is important that the component being wrapped forwards a ref to the DOM node.
 */
export declare const UnstableWithTooltip: ({ delay, ...rest }: {
    className?: string;
} & TippyProps) => JSX.Element;
export default Tooltip;
