import React from 'react';
export declare type LockBodyScrollProps = {
    /**
     * If `true` scroll locking will be enabled
     */
    enabled?: boolean;
    /**
     * ClassName to be applied to the body element when scroll is locked
     */
    bodyClassNameApplied?: string;
    /**
     * ClassName to be applied to the html element when scroll is locked
     */
    htmlClassNameApplied?: string;
    /**
     * Preserve scroll position when locking.
     */
    preserveScrollPosition?: boolean;
    children?: React.ReactNode;
};
export declare type LockBodyScrollResult = {
    getGap(): number;
};
export declare const LockBodyScroll: React.ForwardRefExoticComponent<LockBodyScrollProps & React.RefAttributes<LockBodyScrollResult>>;
export default LockBodyScroll;
