import { theme } from '@dfds-ui/theme';
export function getIntentColor() {
  var intent = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 'info';
  var muted = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  switch (intent) {
    case 'none':
      return theme.colors.surface.secondary;
    case 'info':
      return muted ? theme.colors.status.infomuted : theme.colors.status.info;
    case 'critical':
      return muted ? theme.colors.status.alertmuted : theme.colors.status.alert;
    case 'success':
      return muted ? theme.colors.status.successmuted : theme.colors.status.success;
    case 'warning':
      return muted ? theme.colors.status.warningmuted : theme.colors.status.warning;
  }
}
export function getIntentTextColor(intent) {
  switch (intent) {
    case 'none':
      return theme.colors.text.dark.primary;
    case 'info':
    case 'critical':
    case 'success':
    case 'warning':
      return theme.colors.text.light.primary;
  }
}