// memoization function inspired by moize. Can only remember last value
export function miniMoize(fn) {
  var cache = null;
  var cacheArgs = null;
  function wrapper() {
    if (cacheArgs && eq(arguments)) {
      return cache;
    }
    cache = fn.apply(void 0, arguments);
    cacheArgs = arguments;
    return cache;
  }
  function eq(arg) {
    if (arg.length !== cacheArgs.length) {
      return false;
    }
    for (var i = 0; i < arg.length; i++) {
      if (arg[i] !== cacheArgs[i]) {
        return false;
      }
    }
    return true;
  }
  return wrapper;
}