/* eslint-disable react-hooks/exhaustive-deps */
/* eslint-disable react-hooks/rules-of-hooks */
import { useEffect, useRef } from 'react';
var MOUSEDOWN = 'mousedown';
var TOUCHSTART = 'touchstart';
var events = [MOUSEDOWN, TOUCHSTART];
export default function useOnClickOutside(ref, handler) {
  var isBrowser = typeof document !== 'undefined';
  if (!isBrowser) {
    return;
  }
  var handlerRef = useLatest(handler);
  useEffect(function () {
    if (!handler) {
      return;
    }
    var listener = function listener(event) {
      if (!ref.current || !handlerRef.current || ref.current.contains(event.target)) {
        return;
      }
      handlerRef.current(event);
    };
    events.forEach(function (event) {
      document.addEventListener(event, listener);
    });
    return function () {
      events.forEach(function (event) {
        document.removeEventListener(event, listener);
      });
    };
  }, [!handler]);
}
function useLatest(value) {
  var ref = useRef(value);
  useEffect(function () {
    ref.current = value;
  });
  return ref;
}