import React from 'react';
import 'react-dates/initialize';
interface IDateRangePickerProps {
    endDateDisabled?: boolean;
    valid: boolean;
    onDateChange: (d: string | null, r: string | null) => void;
    format?: string;
    infoLabel?: string;
    startDates: IDateLeg;
    endDates: IDateLeg;
    labels: IDateRangePickerLabels;
    onNextMonthClick?: () => void;
    onPrevMonthClick?: () => void;
    numberOfMobileMonths?: number;
    hideIcon?: boolean;
    className?: string;
    locale?: string;
}
interface IDateLeg {
    initial: string | null;
    maxDate: string;
    minDate: string;
    disabledDates?: string[];
    offerDates?: string[];
}
interface IDateRangePickerLabels {
    start: string;
    end: string;
    header: string;
    info?: string;
}
declare const DateRangePicker: React.FC<IDateRangePickerProps>;
export default DateRangePicker;
