import React from 'react';
export declare type DividerProps = {
    /**
     * Display the Divider in "light" mode.
     */
    light?: boolean;
    /**
     * Display the Divider in "indent" style
     */
    indent?: boolean;
    /**
     *  Display the Divider in "margin" style
     */
    margins?: boolean;
    /**
     * HTML tag or custom component being rendered
     */
    as?: React.ElementType;
    /**
     * Class name to be assigned to the component
     */
    className?: string;
};
export declare const dividerBorder: (light?: boolean, placement?: 'top' | 'bottom') => import("@emotion/utils").SerializedStyles;
export declare const Divider: ({ light, indent, margins, ...rest }: DividerProps) => JSX.Element;
export default Divider;
