import React from 'react';
import { theme } from '@dfds-ui/theme';
declare type HorizontalPosition = 'left' | 'right';
declare type VerticalPosition = 'top' | 'bottom';
declare type Elevation = keyof typeof theme.elevation;
export declare type DrawerProps = {
    /**
     * Horizontal position of the drawer
     */
    position?: HorizontalPosition;
    /**
     * Show arrow to visually indicate the relation to a connected component
     */
    showArrow?: boolean;
    /**
     *  Set the `elevation` for the Drawer.
     */
    elevation?: Elevation;
    /**
     * Vertical position of the drawer in relation to a connected component.
     * Will only be used for placing the arrow on either the `top` or `bottom`
     */
    verticalPosition?: VerticalPosition;
    /**
     * Class name to be assigned to the component
     */
    className?: string;
    children?: React.ReactNode;
};
export declare const Drawer: React.ForwardRefExoticComponent<DrawerProps & React.RefAttributes<HTMLDivElement>>;
export default Drawer;
