import React, { ReactElement } from 'react';
import { PopperProps, PopperPlacementType } from '@mui/material';
export declare type DropdownSize = 'medium' | 'small';
export declare type DropdownProps = {
    /**
     * Placement for the `Dropdown`.
     */
    placement?: PopperPlacementType;
    /**
     * HTML element that the `Dropdown` will be anchor to.
     */
    anchorEl?: PopperProps['anchorEl'];
    /**
     * If set to `true`, the `Dropdown` is shown.
     */
    isOpen: boolean;
    /**
     * Set the state of the `Dropdown`.
     */
    setIsOpen: React.Dispatch<React.SetStateAction<boolean>>;
    /**
     * Specify the size of the `Dropdown`.
     */
    size?: DropdownSize;
    /**
     * Close the `Dropdown` on `esc` key.
     */
    shouldCloseOnEsc?: boolean;
    /**
     * className to be assigned to component.
     */
    className?: string;
    /**
     * Select multiple children from the `Dropdown`.
     */
    multiselect?: boolean;
    /**
     * Add an `id` to the `Dropdown`.
     */
    id?: string;
    onClickAway?: () => void;
    children: ReactElement[];
    filter?: boolean;
};
declare const DropdownMenu: ({ isOpen, multiselect, children, anchorEl, onClickAway, size, id, className, placement, setIsOpen, shouldCloseOnEsc, filter, ...rest }: DropdownProps) => JSX.Element;
export default DropdownMenu;
