import React from 'react';
import { theme } from '@dfds-ui/theme';
import { typography } from '@dfds-ui/typography';
declare type FontFamily = keyof typeof theme.fontFamilies;
declare type StyledAs = keyof Pick<typeof typography, 'body' | 'bodyBold' | 'action' | 'actionBold' | 'label' | 'labelBold' | 'labelSmall' | 'caption' | 'sectionHeadline' | 'subHeadline' | 'smallHeadline'>;
export declare type ListTextProps = {
    /**
     * Set the style of the text.
     */
    styledAs?: StyledAs;
    /**
     * Override the default color from `styledAs`.
     */
    color?: string;
    children?: React.ReactNode;
    /**
     * *DEPRECATED* use `styledAs` instead or override size with `css` prop or `className`.
     *
     * Choose the font size.
     * @deprecated
     */
    size?: string;
    /**
     * *DEPRECATED* use `styledAs` instead or override fontWeight with `css` prop or `className`.
     *
     * Choose the font weight.
     * @deprecated
     */
    fontWeight?: number;
    /**
     * *DEPRECATED* use `styledAs` instead or override fontFamily with `css` prop or `className`.
     *
     * Choose the font family.
     * @deprecated
     */
    fontFamily?: FontFamily;
};
declare const ListText: ({ styledAs, color, fontWeight, size, fontFamily, ...rest }: ListTextProps) => JSX.Element;
export default ListText;
