import { ReactNode } from 'react';
declare type MobileStepperProps = {
    /**
     *   Total steps
     */
    steps: number;
    /**
     *   Active step
     */
    activeStep?: number;
    /**
     * A back button element. For instance, it can be a `Button` or an `IconButton`.
     */
    backButton?: ReactNode;
    /**
     * A next button element. For instance, it can be a `Button` or an `IconButton`.
     */
    nextButton?: ReactNode;
    /**
     * 	The variant to use `'text' | 'dots'`
     */
    variant?: 'text' | 'dots';
};
declare const MobileStepper: ({ steps, activeStep, backButton, nextButton, variant, ...props }: MobileStepperProps) => JSX.Element;
export default MobileStepper;
