import React from 'react';
import { PopperProps, PopperPlacementType } from '@mui/material';
export declare type PopperBaseProps = {
    open?: boolean;
    children: React.ReactElement | string;
    anchorEl?: any;
    id?: string;
    placement?: PopperPlacementType;
    disablePortal?: PopperProps['disablePortal'];
    /**
     * By default the max-width will be set to 100%. This will allow for child elements to have a width of 100vw and also
     * a max-width of 100% so it will not be overflowing the potential vertical scrollbars.
     *
     * You can disable this by setting `noMaxWidthRestriction` to `false`
     */
    noMaxWidthRestriction?: boolean;
    role?: string;
    onClickAway?: (e: any) => void;
    className?: string;
    style?: PopperProps['style'];
    popperRef?: PopperProps['popperRef'];
    modifiers?: PopperProps['modifiers'];
};
export declare const PopperBase: ({ open, children, anchorEl, id, placement, onClickAway, className, noMaxWidthRestriction, ...rest }: PopperBaseProps) => JSX.Element;
declare type PopperComponentProps = {
    setAnchorEl: React.Dispatch<React.SetStateAction<HTMLElement | null>>;
} & Omit<PopperBaseProps, 'onClickAway'>;
declare const Popper: ({ children, anchorEl, id, setAnchorEl, placement, popperRef, ...rest }: PopperComponentProps) => JSX.Element;
export default Popper;
