/// <reference types="react" />
import { PolymorphicComponentProps } from '../common/polymorphic';
declare type Color = 'dark' | 'secondary' | 'light';
export declare type SpinnerProps = {
    /**
     * Indicates that Spinner will show up instantaneously (instead of fading in).
     *
     */
    instant?: boolean;
    /**
     * Specifies the size of the Spinner.
     *
     * @deprecated Use css instead.
     */
    size?: string;
    /**
     * Class name to be assigned to component.
     */
    className?: string;
    /**
     * Set the color variant to use.
     */
    color?: Color;
} & PolymorphicComponentProps;
/**
 * A spinner is used to give user a sense of progress, when the time required to complete the given task is not known.
 */
export declare function Spinner({ instant, size, className, color, as, ...rest }: SpinnerProps): JSX.Element;
export declare namespace Spinner {
    var displayName: string;
}
/**
 * @deprecated Style the regular spinner to achieve the desired effect.
 */
export declare const CenteredSpinner: import("@emotion/styled").StyledComponent<{
    /**
     * Indicates that Spinner will show up instantaneously (instead of fading in).
     *
     */
    instant?: boolean | undefined;
    /**
     * Specifies the size of the Spinner.
     *
     * @deprecated Use css instead.
     */
    size?: string | undefined;
    /**
     * Class name to be assigned to component.
     */
    className?: string | undefined;
    /**
     * Set the color variant to use.
     */
    color?: Color | undefined;
} & PolymorphicComponentProps & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export default Spinner;
