import React, { ReactNode } from 'react';
export declare type StepProps = {
    /**
     * 	The position of the step
     */
    index: number;
    /**
     * Step label
     */
    label?: string;
    /**
     * 	Sets the step as active
     */
    active?: boolean;
    /**
     * 	Sets the step as completed
     */
    completed?: boolean;
    /**
     * If `true`, the step button will be disabled
     */
    disabled?: boolean;
    /**
     * Should be Step sub-components, such as `StepContent` for the vertical variant
     */
    children?: ReactNode;
    /**
     * Optional label. Is shown below the step label
     */
    optionalStepText?: string;
    /**
     * Error step. Error icon will be showen in the step button
     */
    hasError?: boolean;
    /**
     * Editing step. Editing icon wil be showen in the step button
     */
    isEditing?: boolean;
    /**
     * The function is triggered when step button is clicked
     */
    handleStepClick?: () => void;
};
declare const _default: React.MemoExoticComponent<({ index, label, active: activeProp, completed: completedProp, disabled, children, hasError, optionalStepText, isEditing, handleStepClick, ...props }: StepProps) => JSX.Element>;
export default _default;
