var _excluded = ["index", "label", "active", "completed", "disabled", "children", "hasError", "optionalStepText", "isEditing", "handleStepClick"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { memo, useContext } from 'react';
import StepLabel from './StepLabel';
import StepButton from './StepButton';
import StepContent from './StepContent';
import StepContext from './StepContext';
import StepperContext from '../stepper/StepperContext';
import { stepWrapperHorizontalStyles, stepWrapperVerticalStyles, stepContentStyles, stepHeaderStyles } from './Step.styles';
import { StepperFeedbackMessage } from '../stepper-feedback-message';
import { jsx as ___EmotionJSX } from "@emotion/react";
var Step = function Step(_ref) {
  var index = _ref.index,
    _ref$label = _ref.label,
    label = _ref$label === void 0 ? '' : _ref$label,
    activeProp = _ref.active,
    completedProp = _ref.completed,
    _ref$disabled = _ref.disabled,
    disabled = _ref$disabled === void 0 ? false : _ref$disabled,
    children = _ref.children,
    _ref$hasError = _ref.hasError,
    hasError = _ref$hasError === void 0 ? false : _ref$hasError,
    optionalStepText = _ref.optionalStepText,
    _ref$isEditing = _ref.isEditing,
    isEditing = _ref$isEditing === void 0 ? false : _ref$isEditing,
    handleStepClick = _ref.handleStepClick,
    props = _objectWithoutProperties(_ref, _excluded);
  var _useContext = useContext(StepperContext),
    activeStep = _useContext.activeStep,
    orientation = _useContext.orientation,
    sequential = _useContext.sequential,
    stepFeedbackMessage = _useContext.stepFeedbackMessage;
  var _activeProp = activeProp,
    active = _activeProp === void 0 ? false : _activeProp,
    _completedProp = completedProp,
    completed = _completedProp === void 0 ? false : _completedProp;
  if (activeStep === index) active = activeProp !== undefined ? activeProp : true;else if (sequential && activeStep > index) completed = completedProp !== undefined ? completedProp : true;
  var contextValue = React.useMemo(function () {
    return {
      index: index,
      active: active,
      completed: completed,
      disabled: disabled,
      hasError: hasError,
      isEditing: isEditing
    };
  }, [index, active, completed, disabled, hasError, isEditing]);
  var displayFeedbackCondition = orientation === 'vertical' && stepFeedbackMessage && activeStep === index;
  return ___EmotionJSX(StepContext.Provider, {
    value: contextValue
  }, ___EmotionJSX("div", _extends({
    css: orientation === 'horizontal' ? stepWrapperHorizontalStyles : stepWrapperVerticalStyles
  }, props, {
    "data-testid": "step"
  }), ___EmotionJSX("div", {
    css: stepHeaderStyles,
    onClick: handleStepClick
  }, displayFeedbackCondition ? ___EmotionJSX(StepperFeedbackMessage, {
    message: stepFeedbackMessage
  }) : ___EmotionJSX(React.Fragment, null, ___EmotionJSX(StepButton, props), label ? ___EmotionJSX(StepLabel, {
    optionalStepText: optionalStepText
  }, label) : null)), orientation === 'vertical' ? ___EmotionJSX("div", {
    css: stepContentStyles
  }, ___EmotionJSX(StepContent, null, children)) : null));
};
export default /*#__PURE__*/memo(Step);