// ***
// DEPRECATED use media from ./media
// ***

// breakpoint used in DFDS-DIRECT
var defaultBreakPoints = {
  xl: 1260,
  lg: 992,
  md: 768,
  sm: 576,
  xs: 575
};
export function legacyGenerateMedia(breakPoints) {
  var toInt = function toInt(breakPoint) {
    return typeof breakPoint === 'number' ? breakPoint : breakPoints[breakPoint];
  };
  var lessThan = function lessThan(breakPoint) {
    return "\n    @media (max-width: ".concat(toInt(breakPoint) - 1, "px)");
  };
  var greaterThan = function greaterThan(breakPoint) {
    return "\n    @media (min-width: ".concat(toInt(breakPoint) + 1, "px)");
  };
  var between = function between(firstBreakpoint, secondBreakpoint) {
    return "\n    @media (min-width: ".concat(toInt(firstBreakpoint), "px) and (max-width: ").concat(toInt(secondBreakpoint), "px)");
  };
  var tablet = function tablet() {
    return "\n   @media (min-width: ".concat(breakPoints.sm + 1, "px) and (max-width: ").concat(breakPoints.md, "px)");
  };
  return {
    lt: lessThan,
    gt: greaterThan,
    bt: between,
    tablet: tablet
  };
}
export var legacyMedia = legacyGenerateMedia(defaultBreakPoints);
export default legacyMedia;