import React from 'react';
import { theme } from '@dfds-ui/theme';
export declare type SurfaceType = keyof typeof theme.colors.surface;
export declare type SurfaceContextType = {
    surface: SurfaceType;
    backgroundColor: string;
    textColors: {
        primary: string;
        secondary: string;
        disabled: string;
    };
};
export declare function getTextColors(surface: SurfaceType): {
    primary: string;
    secondary: string;
    disabled: string;
};
export declare function getBackgroundColor(surface: SurfaceType): string;
export declare const SurfaceContext: React.Context<SurfaceContextType | undefined>;
export declare const SurfaceProvider: React.FC<{
    surface: SurfaceType;
    children?: React.ReactNode;
}>;
export declare function MaybeSurfaceProvider({ surface, ...rest }: React.PropsWithChildren<{
    surface?: SurfaceType;
}>): JSX.Element;
export declare const useSurfaceContext: (surface?: SurfaceType) => SurfaceContextType;
export declare const Surface: React.FC<{
    surface: SurfaceType;
    className?: string;
    children?: React.ReactNode;
}>;
