import React, { createContext, useContext } from 'react';
import { jsx as ___EmotionJSX } from "@emotion/react";
export var TabsContext = /*#__PURE__*/createContext({
  transparent: false,
  activeTab: undefined,
  size: 'm'
});
export var TabsContextProvider = function TabsContextProvider(_ref) {
  var children = _ref.children,
    value = _ref.value;
  return ___EmotionJSX(TabsContext.Provider, {
    value: value
  }, children);
};
export var useTabsContext = function useTabsContext() {
  var context = useContext(TabsContext);
  if (context === undefined) {
    throw new Error('useTabsContext must be used within a AppBarProvider');
  }
  return context;
};
export default useTabsContext;