import React, { ComponentPropsWithRef, ReactNode } from 'react';
export declare type TableRowProps = {
    /**
     * Table row content
     */
    children: ReactNode;
    /**
     * Classes applied on the tr tag
     */
    className?: string;
    /**
     * Applies Selected state styling to the row
     */
    isSelected?: boolean;
} & ComponentPropsWithRef<'tr'>;
export declare const TableRow: React.ForwardRefExoticComponent<Pick<TableRowProps, "key" | "css" | keyof React.HTMLAttributes<HTMLTableRowElement> | "isSelected"> & React.RefAttributes<HTMLTableRowElement>>;
export default TableRow;
